<?php
require_once '../services/api_config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $merchantRequestID = isset($_POST['merchantRequestID']) ? $_POST['merchantRequestID'] : '';
    $checkoutRequestID = isset($_POST['checkoutRequestID']) ? $_POST['checkoutRequestID'] : '';
    $orderNumber = isset($_POST['orderNumber']) ? $_POST['orderNumber'] : '';
    $branchid = isset($_POST['branchid']) ? $_POST['branchid'] : '';
    $shipping = isset($_POST['shipping']) ? $_POST['shipping'] : '';

 


    // Todo => validate user input 

    // Make a POST request to  update_payment API
    $api_url = API_URL . "update_payment.php";
    $data = json_encode(['merchantRequestID' => $merchantRequestID, 'checkoutRequestID' => $checkoutRequestID,'orderNumber'=>$orderNumber,'branchid'=>$branchid,'shipping'=>$shipping]);

    $ch = curl_init($api_url);

    // Set  cURL options with the authorization header
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Auth: ' . API_AUTH_HEADER
    ]);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

    // Execute the cURL request
    $response = curl_exec($ch);

    // Check for cURL errors
    if (curl_errno($ch)) {
        // Handle cURL error
        echo "cURL Error: " . curl_error($ch);
    } else {
        // Decode the JSON response
        $result = json_decode($response, true);



        echo json_encode($result);
    }

    // Close cURL session
    curl_close($ch);
}
