<?php
include "includes/header.php";
include "check_login.php";

// Check if the session variable is not set
if (!isset($_SESSION['delivery_type']) || $_SESSION['delivery_type'] != '1') {
    // Redirect the user to the select delivery page
    echo '<script>window.location.href="shopping-cart.php";</script>';
    exit;
}


?>

<body>
    <!-- Page Preloder -->
    <div id="preloder">
        <div class="loader"></div>
    </div>

    <!-- Header Section Begin -->
    <?php
    include "includes/head.php"
    ?>
    <!-- Header Section End -->






    <!-- Hero Section Begin -->
    <section class="hero hero-normal">
        <div class="container">
            <div class="row">
                <div class="col-lg-3">
                    <?php
                    include "sections/categories.php"
                    ?>
                </div>
                <div class="col-lg-9">
                    <?php
                    include "sections/search.php";
                    ?>
                </div>
            </div>
        </div>
    </section>
    <!-- Hero Section End -->

    <!-- Breadcrumb Section Begin -->
    <section class="">
        <div class="container">
            <div class="row">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a style="color: black !important;" href="./index.php" onmouseover="this.style.color='#225d2d'" onmouseout="this.style.color='black'">Home</a></li>

                        <li class="breadcrumb-item"><a style="color:#1877F2 !important;" href="#"> <b>Address</b> </a></li>
                    </ol>
                </nav>
            </div>
        </div>
    </section>
    <!-- Breadcrumb Section End -->

    <section style="padding-bottom: 70px; padding-top:8px">
        <div class="container py-2 mb-4" style="background-color: #eee;">
            <div class="row justify-content-center align-items-center">
                <div class="col-12 col-md-12 col-lg-8">
                    <div class="card mb-4">
                        <div class="card-header py-3">
                            <h5 class="mb-0">Delivery Address</h5>
                        </div>
                        <div class="card-body">


                            <div class="text-center" id="loader"><i class="fa fa-spinner fa-spin fa-2x"></i></div>


                            <div class="noaddress" id="noaddress" style="display: none;">

                                <div class="d-flex justify-content-center">
                                    <h4> No default address was found!</h4>
                                </div>
                                <img src="./img/noaddress.jpg" class="w-100" height="320px" alt="No Address Image">


                                <div class="d-flex justify-content-center">
                                    <button class="btn btn-lg btn-main mt-2" id="add-address" type="submit">Add Address</button>
                                </div>
                            </div>

                            <form id="addressForm" action="payment_summary.php" method="post">

                                <input type="hidden" name="payment_summary" value="payment_summary">

                                <div class="row mb-4">

                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" id="name" class="form-control" name="name" value="<?php echo $userdata['fullname']; ?>" required />
                                            <label class="form-label" for="name">Name</label>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" id="email" class="form-control" name="email" value="<?php echo $userdata['email']; ?>" required />
                                            <label class="form-label" for="email">Email</label>
                                        </div>
                                    </div>

                                </div>

                                <div class="row mb-4">
                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" id="mobile" class="form-control" name="mobile" value="<?php echo $userdata['cell']; ?>" required />
                                            <label class="form-label" for="mobile">Mobile</label>
                                        </div>
                                    </div>

                                    <div class="col">



                                        <div class="form-outline">
                                            <input type="text" id="regionname" class="form-control" name="regionname" required />
                                            <label class="form-label" for="mobile">Region</label>
                                        </div>


                                    </div>
                                </div>

                                <input type="hidden" name="regionid" id="regionid">
                                <input type="hidden" name="deliveryfees" id="deliveryfees">

                                <div class="row mb-4">
                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" id="road" class="form-control" name="road" required />
                                            <label class="form-label" for="road">Road</label>
                                        </div>
                                    </div>

                                    <div class="col">
                                        <div class="form-outline">

                                            <input type="text" id="building" class="form-control" name="building" required />
                                            <label class="form-label" for="building">Building</label>
                                        </div>
                                    </div>
                                </div>

                                <div class="row mb-4">
                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" id="floor" class="form-control" name="floor" required />
                                            <label class="form-label" for="floor">Floor</label>
                                        </div>
                                    </div>
                                    <div class="col">
                                        <div class="form-outline">
                                            <input type="text" id="houseNo" class="form-control" name="houseNo" required />
                                            <label class="form-label" for="houseNo">House No</label>
                                        </div>
                                    </div>


                                </div>


                                <div class="form-outline mb-4">
                                    <small>optional</small> <br>
                                    <textarea name="moreinfor" id="moreinfor" placeholder="more information..." cols="30" rows="4" required></textarea> <br>
                                    <label class="form-label" for="moreinfor">More Information</label>
                                </div>


                                <input type="hidden" name="userid" value="<?php echo $mobileNumber; ?>">
                                <input type="hidden" name="usercell" value="<?php echo $id; ?>">
                                <input type="hidden" name="addressid" id="addressid">
                                <input type="hidden" name="code" id="code">

                                <input type="hidden" name="refs" id="refs">

                                <input type="hidden" name="url" id="url">





                                <div class="d-flex justify-content-between">
                                    <button class="btn btn-lg btn-main mt-2" id="updateBtn" type="button">UPDATE</button>
                                    <button class="btn btn-lg btn-main mt-2" id="submitBtn" type="button">CONTINUE</button>
                                </div>



                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <?php
    include "includes/footer.php"
    ?>

    <script>
        function disableButton() {

            // Disable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = true;
            // Change background color to gray
            submitBtn.classList.add('btn-load');
            // Change the button text
            submitBtn.innerHTML = 'Processing...';


        }

        function enableButton() {
            // enable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = false;

            // Add the btn-main class to change the color
            submitBtn.classList.remove('btn-load');
            submitBtn.classList.add('btn-main');

            // Change the button text
            submitBtn.innerHTML = 'CONTINUE';
        }


        $(document).ready(function() {



            $("#addressForm").hide();

            fetchDataAndPopulateForm();


            $("#add-address").click(function() {
                // Redirect the user to create_address.php
                window.location.href = "create_address.php";
            });

            // Add a click event listener to the button
            $("#updateBtn").click(function() {
                // Redirect the user to update_address.php
                window.location.href = "update_address.php";

            });



        });



        function fetchDataAndPopulateForm() {


            var branchid = <?php echo $branchid ?>;
            var userid = <?php echo $userid ?>;

            var formData = {
                branchid: branchid,
                userid: userid
            };

            // Make an AJAX request to getdefaultaddress.php
            $.ajax({
                url: "functions/getdefaultaddress.php",
                type: "POST",
                data: formData,
                dataType: "json",
                success: function(data) {

                    populateForm(data)
                },
                error: function(xhr, status, error) {
                    // Handle the AJAX error
                    console.error(xhr.responseText);
                }
            });


        }

        function populateForm(data) {
            // Check if the response is not null
            if (data !== null) {

                $("#name").val(data.name);
                $("#email").val(data.email);
                $("#mobile").val(data.mobile);
                $("#mobile").val(data.mobile);
                $("#regionname").val(data.regionname);
                $("#road").val(data.road);
                $("#building").val(data.building);
                $("#floor").val(data.floor);
                $("#houseNo").val(data.houseNo);
                $("#moreinfor").val(data.moreinfor);
                $("#addressid").val(data.id);
                $("#regionid").val(data.region);
                $("#deliveryfees").val(data.shippingFee);
                $("#code").val(data.code);
                $("#refs").val(data.refs);
                $("#url").val(data.url);





                $("#noaddress").hide();
                $("#createAddressBtn").prop("disabled", false);

                // Show the form
                $("#addressForm").show();



                // Find the submitBtn 
                var submitBtn = document.getElementById("submitBtn");


                submitBtn.addEventListener("click", function() {

                    saveAndContinue();
                });


            } else {
                // Show the noaddress div and disable the button
                $("#noaddress").show();
                $("#createAddressBtn").prop("disabled", true);

                // Hide the form
                $("#addressForm").hide();
            }

            document.getElementById('loader').style.display = 'none';
            enableButton();
        }


        function saveAndContinue() {
            disableButton();
            // Get form data
            var name = document.getElementById("name").value;
            var email = document.getElementById("email").value;
            var mobile = document.getElementById("mobile").value;
            var road = document.getElementById("road").value;
            var building = document.getElementById("building").value;
            var floor = document.getElementById("floor").value;
            var houseNo = document.getElementById("houseNo").value;
            var moreinfor = document.getElementById("moreinfor").value;
            var deliveryfees = document.getElementById("deliveryfees").value;
            var regionname = document.getElementById("regionname").value;
            var regionid = document.getElementById("regionid").value;

            var code = document.getElementById("code").value;
            var refs = document.getElementById("refs").value;
            var url = document.getElementById("url").value;

            var customerID = <?php echo $userid ?>;

            // Prepare data for AJAX
            var formData = {
                pickupDetails: {
                    recipientname: name,
                    recipientemail: email,
                    recipientphone: mobile,
                    deliverytype: "1",
                    customerID: customerID,
                    ordernumber: "",
                    shippingFee: deliveryfees,
                    road: road,
                    building: building,
                    houseNo: houseNo,
                    floor: floor,
                    region: regionid,
                    moreinfor: moreinfor,
                    regionname: regionname
                },
                delivery_fees: deliveryfees,
                shortcode: {
                    code: code,
                    refs: refs,
                    url: url
                }

            };

            $.ajax({
                type: 'POST',
                url: 'functions/session-deliverydetails.php',
                data: formData,
                dataType: 'json',
                success: function(response) {
                    if (response.success) {
                        document.getElementById("addressForm").submit();
                    } else {

                    }
                },
                error: function() {

                }
            });
            enableButton();
        }
    </script>